<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

$s = "";
// estilo de hover para o link 
if(!empty($banner->button_style_hover)){
    $s .=
        ".{$module->name} [data-id='{$key}'] .nobossbanners__nb-caption .nb-banner-item-link:hover{
            {$banner->button_style_hover}
        }
    ";
} 
// filtro sobre a imagem do banner 
if($banner->item_customization->image_filter){ 
    $s .=
        ".{$module->name} [data-id='{$key}']:before{
            {$banner->filter}
        }
    ";
} 
// imagem sobreposta 
if($banner->item_customization->show_image_overlay){ 
    $s .=
        ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay img{
            {$banner->overlay_image_height}
        ";
    $s .= "}";
} 
if($banner->item_customization->show_image_overlay){ 
    $s .= 
        "@media screen and (min-width: 991px){"; 
            // imagem sobreposta 
            $s .=
                ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay img{";
                    $s .= $banner->item_customization->overlay_image_css;
            $s .= "}";
    $s .= "}";
} 
// estilos do mobile 
if($banner->item_customization->show_image_overlay){ 
    $s .=
        "@media screen and (max-width: 991px){";
            $s .=
                ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay img{
                    {$banner->overlay_image_height_mobile}
                }";
            $s .= 
                ".{$module->name} .nb-imagem[data-id='{$key}'] .nb-image__overlay{";
                    $s .= $banner->item_customization->overlay_image_css_mobile;
            $s .= "}";
    $s .= "}";
}
$s .=
    "@media screen and (max-width: 767px){
        .{$module->name} [data-id='{$key}'] .{$module->name}__title{
            {$banner->title_style_mobile}
        }
        .{$module->name} [data-id='{$key}'] .{$module->name}__subtitle{
            {$banner->subtitle_style_mobile}
        }
        .{$module->name} .{$module->name}__item,
        .{$module->name} .{$module->name}__frame {
            {$heightMobile}
        }";
    if($showArrows){
        $s .= 
            ".{$module->name} .nb-arrows{
                {$arrowsStyleMobile}
            }";
    }


    if (!empty($banner->image_mobile) && $banner->show_image) {
        if(!empty($banner->image_mobile)){
            $s .=
                ".{$module->name} .nobossbanners__item[data-id='{$key}']{
                        {$banner->image_mobile}
                }
            ";
        }
    }

$s .= "}";
// Hover das setas
$s .= 
    ".{$module->name} .js_prev:hover span, .{$module->name} .js_next:hover span{
        {$arrowsStyleHover}
    }
";

// Estilo dos dots 
if ($showDots) {
    $s .=
        ".{$module->name} .nobossbanner__dots li{
            {$dotsStyle}
        }
        .{$module->name} .nobossbanner__dots li.active{
            {$dotsActiveStyle}
        }
    ";
}

// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s); 

?>
