<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Banners
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2018 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;
?>

<script type="text/javascript">
	var jsConfig = {};
	jsConfig = <?php echo json_encode($jsConfig); ?>;
	if (moduleList === undefined) {
		var moduleList = [];
	}
	moduleList["<?php echo $module->name . '_' . $module->id; ?>"] = jsConfig;
</script>

<section class="<?php echo "{$module->name} {$module->name}--{$theme}"; ?> app-controller" 
		 data-callback="banners" 
		 <?php echo "module-id={$module->name}_{$module->id}"; ?>
>
	<div id="banners_<?php echo $module->id; ?>" class="nobossbanners__frame" style="<?php echo "height: {$height}";?>">
		<ul class="nobossbanners__list">
			<?php // Salva a primeira chave do array para colocar como item ativo
			$firstArrayKey = current(array_keys($banners));
			// Percorre os banners a serem exibidos
			foreach ($banners as $key => $banner) {  ?>
				<?php require JModuleHelper::getLayoutPath($extensionName, 'style/' . $theme); ?>
				<li class="nobossbanners__item <?php if ($key==$firstArrayKey){ echo 'active'; } ?>" data-id="<?php echo $key; ?>" style="<?php echo $banner->background_style; ?>">
					<?php // Insere link na imagem ?>
                    <?php if ($banner->show_link == 'over_image'){ 
                        $link = $banner->links->link1;
                        ?>
						<a href="<?php echo $link->link_url; ?>" target="<?php echo $link->link_target; ?>">
                    <?php } ?>
                    <div class="nobossbanners__item--wrapper <?php echo (isset($itemsCustomization->add_container) && ($itemsCustomization->add_container)) ? 'nb-container' : ''; ?>">
                    <?php if(isset($itemsCustomization->content_display_mode)){?>
                        <div class="nobossbanners__item--inner <?php echo $itemsCustomization->content_display_mode ? $itemColumns : ''; ?>">
                    <?php }?>
                            <div class="noboss-banners-img">					
                                <div class="nb-imagem" data-id="<?php echo $key; ?>">
                                    <?php if($banner->item_customization->show_image_overlay && !empty($banner->item_customization->overlay_image)){ ?>
                                        <div class="nb-image__overlay <?php echo $banner->item_customization->overlay_position;?>">
                                            <img src="<?php echo $banner->item_customization->overlay_image; ?>" alt="" style="<?php echo ($banner->item_customization->z_index_image_overlay) ? 'z-index: 4;' : ''; ?>">
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>

                    <?php // Exibicao de texto e botão em caixa sobre a imagem ?>
                    <?php require JModuleHelper::getLayoutPath('mod_nobossbanners', 'common/content'); ?>
                    
                    </div>
                <?php if(isset($itemsCustomization->content_display_mode)){?>
                </div>
                <?php }?>

					

					<?php // Fecha tag de link na imagem ?>
					<?php if ($banner->show_link == 'over_image'){ ?>
						</a>
					<?php } ?>
				</li>
			<?php } ?>
		</ul>
	</div>
	<?php // se tem mais de um item publicado e as setas devem ser exibidas ?>
	<?php if($availableItems > 1 && $showArrows){ 
		// inclui arquivo de exibicao das setas
		require JModuleHelper::getLayoutPath('mod_nobossbanners', 'common/arrows');
	} ?>
	<?php // se tem mais de um item publicado e os dots devem ser exibidos ?>
	<?php if($availableItems > 1 && $showDots){ 
		// inclui arquivo de exibicao dos dots
		require JModuleHelper::getLayoutPath('mod_nobossbanners', 'common/dots');
	} ?>

</section>
